package com.akiban.rest.util;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.TimeUnit;

import com.google.common.cache.Cache;
import com.google.common.cache.CacheBuilder;

public class CacheHelper {
	private static final List<Cache<?, ?>> caches = new ArrayList<Cache<?, ?>>();

	public static <K, V> Cache<K, V> getDefaultCache() {
		Cache<K, V> cache = CacheBuilder.newBuilder().concurrencyLevel(4)
				.weakKeys().maximumSize(1000)
				.expireAfterWrite(1, TimeUnit.MINUTES).build();
		caches.add(cache);

		return cache;
	}

	public static void clear() {
		for (Cache<?, ?> cache : caches) {
			cache.invalidateAll();
		}
	}
}
