/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.akiban.rest.util;

import com.akiban.server.service.config.ConfigurationService;
import com.google.inject.Inject;
import com.google.inject.name.Named;

/**
 * Provides useful configuration methods.
 */
public class Props {
	private final String prefix;
	private ConfigurationService config;

	@Inject
	public Props(@Named("com.akiban.rest.config.prefix") String prefix,
			ConfigurationService config) {
		this.prefix = prefix;
		this.config = config;
	}

	public int getInt(String property) {
		return Integer.parseInt(getString(property));
	}

	public String getString(String property) {
		return config.getProperty(prefix + property);
	}
}
