/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.akiban.rest;

import javax.ws.rs.core.Response.Status;

import org.testng.annotations.Test;

import com.google.common.collect.ImmutableMap;

/**
 * Test case for the FaviconResource - making sure that we return an icon.
 */
@Test
public class FaviconResourceTest {
	private static final String REDIRECT_LOCATION = "http://www.akiban.com/sites/www.akiban.com/files/akiban_favicon.ico";
	private static final String REDIRECT_BODY = "Redirecting to <a href='"
			+ REDIRECT_LOCATION + "'>" + REDIRECT_LOCATION + "</a>";

	private FaviconResource favicon = TestHelper.get(FaviconResource.class);

	public void testFavicon() throws Exception {
		TestHelper
				.assertMatch(favicon.getFavicon(), Status.MOVED_PERMANENTLY
						.getStatusCode(), ImmutableMap.<String, String> of(
						"Location", REDIRECT_LOCATION), REDIRECT_BODY);
	}
}
