/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.akiban.rest;

import java.util.List;
import java.util.Map;

import javax.ws.rs.core.Response;

import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Test case for the VersionResource - making sure we retrieve the proper server
 * identifier and version.
 */
@Test
public class VersionResourceTest {
	private VersionResource version = TestHelper.get(VersionResource.class);

	public void testVersion() throws Exception {
		Response response = version.getVersion(null, null);

		Map<String, ?> result = (Map<String, ?>) TestHelper.<List> getObject(
				List.class, response).get(0);

		Assert.assertEquals(result.get("server_name"), "Akiban Server");
		Assert.assertTrue(((String) result.get("server_version"))
				.startsWith("1.4."));
	}
}
