---
--- Grouping:
---
--- customers
---   addresses
---   orders
---     items
---
DROP TABLE IF EXISTS `g_coi`.`items`;
DROP TABLE IF EXISTS `g_coi`.`addresses`;
DROP TABLE IF EXISTS `g_coi`.`orders`;
DROP TABLE IF EXISTS `g_coi`.`customers`;

CREATE TABLE `g_coi`.`customers` ( cid INT NOT NULL PRIMARY KEY GENERATED BY DEFAULT AS IDENTITY, first_name VARCHAR(255) NOT NULL, last_name VARCHAR(255) NOT NULL, primary_payment_code CHAR(4) NOT NULL, payment_status CHAR(1) NOT NULL, comment VARCHAR(255));
CREATE TABLE `g_coi`.`addresses` ( aid INT NOT NULL PRIMARY KEY GENERATED BY DEFAULT AS IDENTITY, cid INT, state VARCHAR(2) NOT NULL, zip_code INT NOT NULL, phone VARCHAR (15), address_type CHAR(1) NOT NULL ,GROUPING FOREIGN KEY(cid) REFERENCES `g_coi`.`customers`);
CREATE TABLE `g_coi`.`orders` ( oid INT NOT NULL PRIMARY KEY GENERATED BY DEFAULT AS IDENTITY, cid INT, order_date DATE NOT NULL, order_status CHAR (1) NOT NULL, order_priority VARCHAR(15) NOT NULL, ship_priority VARCHAR(15), ship_method VARCHAR(15), ship_parts INT ,GROUPING FOREIGN KEY(cid) REFERENCES `g_coi`.`customers`);
CREATE TABLE `g_coi`.`items` ( iid BIGINT NOT NULL PRIMARY KEY GENERATED BY DEFAULT AS IDENTITY, oid INT, sku INT NOT NULL, quantity INT NOT NULL, unit_price decimal(5,2) NOT NULL, discount double, tax double, item_status CHAR(1) NOT NULL, shipment_part INT, color VARCHAR(20) ,GROUPING FOREIGN KEY(oid) REFERENCES `g_coi`.`orders`(oid));

INSERT INTO `g_coi`.`customers` VALUES(null, 'Azalee', 'Zapien', 'GIFT', 'X', NULL);
INSERT INTO `g_coi`.`orders` VALUES(1381, 1, DATE '1997-12-30', 'C', 'Immediate', 'Standard', 'Ground', 3);
INSERT INTO `g_coi`.`items` VALUES(null, 1381, 9371, 8, 109.00, 0.000000e+00, 4.000000e-02, 'C', 3, 'Yellow');
INSERT INTO `g_coi`.`items` VALUES(null, 1381, 5982, 13, 43.00, 0.000000e+00, 7.000000e-02, 'C', 3, 'Navy');
INSERT INTO `g_coi`.`items` VALUES(null, 1381, 7724, 8, 65.99, 0.000000e+00, 1.100000e-01, 'R', 1, 'Silver');
INSERT INTO `g_coi`.`items` VALUES(null, 1381, 5060, 13, 58.00, 0.000000e+00, 1.300000e-01, 'C', 2, 'Teal');
INSERT INTO `g_coi`.`items` VALUES(null, 1381, 4221, 1, 90.99, 2.900000e-01, 9.000000e-02, 'C', 3, 'Maroon');
INSERT INTO `g_coi`.`items` VALUES(null, 1381, 5091, 1, 1.00, 0.000000e+00, 9.000000e-02, 'C', 1, 'White');
INSERT INTO `g_coi`.`orders` VALUES(2348, 1, DATE '1998-08-08', 'C', 'Standard', 'Standard', 'Sea', 1);
INSERT INTO `g_coi`.`items` VALUES(null, 2348, 3477, 1, 16.99, 0.000000e+00, 3.000000e-02, 'C', 1, 'Silver');
INSERT INTO `g_coi`.`items` VALUES(null, 2348, 5686, 18, 43.00, 0.000000e+00, 1.100000e-01, 'C', 1, 'Maroon');
INSERT INTO `g_coi`.`items` VALUES(null, 2348, 4040, 1, 65.99, 2.200000e-01, 9.000000e-02, 'C', 1, 'Black');
INSERT INTO `g_coi`.`items` VALUES(null, 2348, 778, 1, 27.99, 4.000000e-01, 1.000000e-01, 'C', 1, 'Silver');
INSERT INTO `g_coi`.`items` VALUES(null, 2348, 3379, 1, 52.00, 8.200000e-01, 1.400000e-01, 'C', 1, 'Aqua');
INSERT INTO `g_coi`.`items` VALUES(null, 2348, 7102, 3, 94.00, 6.200000e-01, 7.000000e-02, 'C', 1, 'Fuchsia');
INSERT INTO `g_coi`.`items` VALUES(null, 2348, 1200, 18, 134.99, 8.000000e-02, 5.000000e-02, 'C', 1, 'Fuchsia');
INSERT INTO `g_coi`.`orders` VALUES(4394, 1, DATE '2002-11-07', 'C', 'Standard', 'Immediate', 'Air', 1);
INSERT INTO `g_coi`.`items` VALUES(null, 4394, 6986, 1, 31.99, 5.700000e-01, 1.400000e-01, 'C', 1, 'Blue');
INSERT INTO `g_coi`.`items` VALUES(null, 4394, 314, 6, 94.99, 0.000000e+00, 3.000000e-02, 'C', 1, 'Blue');
INSERT INTO `g_coi`.`items` VALUES(null, 4394, 6497, 1, 124.99, 0.000000e+00, 1.100000e-01, 'C', 1, 'Silver');
INSERT INTO `g_coi`.`orders` VALUES(1927, 1, DATE '1998-06-19', 'X', 'Expedited', 'Standard', 'Ground', 1);
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 761, 1, 112.00, 0.000000e+00, 1.100000e-01, 'C', 1, 'Yellow');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 862, 7, 27.99, 6.000000e-02, 0.000000e+00, 'X', 1, 'Fuchsia');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 421, 12, 1.99, 3.400000e-01, 3.000000e-02, 'C', 1, 'Maroon');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 6172, 7, 66.99, 6.600000e-01, 5.000000e-02, 'C', 1, 'Fuchsia');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 3412, 11, 41.99, 0.000000e+00, 1.200000e-01, 'P', 1, 'Maroon');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 8974, 1, 126.99, 7.500000e-01, 6.000000e-02, 'C', 1, 'Lime');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 5220, 8, 73.00, 0.000000e+00, 5.000000e-02, 'R', 1, 'Red');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 1279, 1, 68.00, 3.400000e-01, 3.000000e-02, 'C', 1, 'Navy');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 4401, 1, 95.99, 4.800000e-01, 7.000000e-02, 'C', 1, 'Aqua');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 9169, 9, 70.99, 8.300000e-01, 3.000000e-02, 'C', 1, 'Black');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 4789, 1, 5.99, 0.000000e+00, 5.000000e-02, 'C', 1, 'Teal');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 6403, 17, 91.99, 5.900000e-01, 1.000000e-01, 'C', 1, 'Red');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 3615, 6, 53.00, 6.600000e-01, 1.100000e-01, 'C', 1, 'Aqua');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 8779, 1, 61.99, 7.300000e-01, 6.000000e-02, 'C', 1, 'White');
INSERT INTO `g_coi`.`items` VALUES(null, 1927, 5015, 4, 99.99, 7.000000e-02, 8.000000e-02, 'C', 1, 'Navy');
INSERT INTO `g_coi`.`orders` VALUES(1869, 1, DATE '1998-11-25', 'P', 'Standard', 'Standard', 'Rail', 1);
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 7471, 1, 126.99, 1.200000e-01, 5.000000e-02, 'C', 1, 'Yellow');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 8828, 1, 73.00, 6.100000e-01, 1.000000e-01, 'C', 1, 'Yellow');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 151, 8, 14.99, 6.700000e-01, 2.000000e-02, 'C', 1, 'Teal');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 2791, 12, 36.99, 0.000000e+00, 8.000000e-02, 'C', 1, 'Navy');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 3119, 17, 30.99, 0.000000e+00, 0.000000e+00, 'C', 1, 'Black');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 4179, 2, 36.00, 9.100000e-01, 5.000000e-02, 'X', 1, 'Yellow');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 5037, 1, 158.00, 1.000000e-01, 1.400000e-01, 'C', 1, 'Teal');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 9056, 1, 72.00, 0.000000e+00, 1.100000e-01, 'C', 1, 'Blue');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 8270, 2, 57.00, 0.000000e+00, 6.000000e-02, 'C', 1, 'Navy');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 9394, 1, 38.99, 0.000000e+00, 1.100000e-01, 'C', 1, 'Maroon');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 1593, 12, 31.99, 4.800000e-01, 4.000000e-02, 'C', 1, 'Maroon');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 1138, 4, 122.00, 0.000000e+00, 1.400000e-01, 'C', 1, 'Lime');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 2828, 1, 56.00, 3.900000e-01, 1.000000e-01, 'C', 1, 'Yellow');
INSERT INTO `g_coi`.`items` VALUES(null, 1869, 8178, 14, 68.00, 1.800000e-01, 1.000000e-02, 'C', 1, 'Aqua');
INSERT INTO `g_coi`.`customers` VALUES(null, 'Rochel', 'Ligonis', 'CHRG', 'C', NULL);
INSERT INTO `g_coi`.`addresses` VALUES(null, 2, 'ND', 50916, '366-261-9612', 'H');
INSERT INTO `g_coi`.`orders` VALUES(538, 2, DATE '1995-06-03', 'C', 'Expedited', 'Immediate', 'Rail', 1);
INSERT INTO `g_coi`.`items` VALUES(null, 538, 2181, 6, 105.00, 0.000000e+00, 3.000000e-02, 'C', 1, 'Black');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 7372, 1, 25.99, 6.000000e-01, 7.000000e-02, 'C', 1, 'White');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 9554, 1, 48.00, 3.400000e-01, 1.000000e-01, 'R', 1, 'Black');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 1137, 1, 1.00, 0.000000e+00, 1.000000e-01, 'C', 1, 'Maroon');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 1606, 6, 32.99, 8.000000e-01, 0.000000e+00, 'C', 1, 'Fuchsia');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 2500, 3, 3.99, 0.000000e+00, 3.000000e-02, 'C', 1, 'Red');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 4675, 1, 81.00, 0.000000e+00, 9.000000e-02, 'C', 1, 'Blue');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 8833, 3, 61.00, 7.100000e-01, 3.000000e-02, 'C', 1, 'Maroon');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 7983, 1, 27.00, 0.000000e+00, 8.000000e-02, 'C', 1, 'Purple');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 6679, 2, 1.00, 8.100000e-01, 1.100000e-01, 'C', 1, 'Purple');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 8562, 9, 63.00, 0.000000e+00, 8.000000e-02, 'C', 1, 'Black');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 4106, 1, 94.99, 3.200000e-01, 1.400000e-01, 'C', 1, 'Red');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 4067, 1, 57.99, 9.700000e-01, 7.000000e-02, 'C', 1, 'White');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 2102, 1, 44.99, 6.700000e-01, 1.300000e-01, 'X', 1, 'Teal');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 1461, 1, 21.99, 0.000000e+00, 1.200000e-01, 'C', 1, 'Blue');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 2437, 5, 41.99, 4.600000e-01, 9.000000e-02, 'C', 1, 'Olive');
INSERT INTO `g_coi`.`items` VALUES(null, 538, 8192, 1, 138.00, 5.500000e-01, 8.000000e-02, 'N', 1, 'Gray');
